import java.io.*;
import java.util.*;

import com.hp.hpl.jena.ontology.*;
import com.hp.hpl.jena.rdf.model.ModelMaker;
import com.hp.hpl.jena.util.FileManager;
import com.hp.hpl.jena.util.*;

import com.hp.hpl.jena.db.*;

public class MainPropertyp  {

    public static final String DB_URL = "jdbc:postgresql://db.slis.indiana.edu:5432/dingyingclass";
    public static final String DB_USER = "your username";
    public static final String DB_PASSWD = "your password";
    public static final String DB = "PostgreSQL";
    public static final String DB_DRIVER = "org.postgresql.Driver";
 
  public static void main (String args[]) {
 
    try {
        Class.forName("org.postgresql.Driver");
    } catch (ClassNotFoundException e) {
        System.out.println("could not find the JDBC driver");
    }  
    String filePath = "file:///C:/Jena/Tutorial/expertp/expert.owl";
    IDBConnection con = ontologyDB.connectDB(DB_URL,DB_USER, DB_PASSWD, DB);
    System.out.println(con);
  
    ontologyDB.createDBModelFromFile(con, "expert", filePath);  
    OntModel model = ontologyDB.getModelFromDB(con, "expert");
    
    getProperty(model);
	}
	
 public static void getProperty(OntModel model) {
    String NS = "http://www.owl-ontologies.com/Expert.owl#";
    /* get the Expert class */
    OntClass expert = model.getOntClass(NS + "Expert");
    // print out the name of the Expert class
    System.out.println(expert.getLocalName());

    // get the instances of the Expert class
    Iterator it = expert.listInstances();
    // print out the instances of the Expert class
    while (it.hasNext()) {
        Individual oi = (Individual) it.next();
        System.out.println(oi.getLocalName());

        //get the properties of the Expert class
        for (Iterator ipp = expert.listDeclaredProperties(); ipp.hasNext();) {
            OntProperty p = (OntProperty) ipp.next();
       //print out property name and its values
            System.out.println( p.getLocalName());
            
            	for (Iterator ivv = oi.listPropertyValues(p); ivv.hasNext();) {
	            	String valuename = ivv.next().toString();
	            	System.out.println(valuename);
            	}
        	}
    	}
	}
}
            	
