import java.io.*;
import java.util.*;
import com.hp.hpl.jena.ontology.*;
import com.hp.hpl.jena.rdf.model.ModelMaker;
import com.hp.hpl.jena.util.FileManager;
import com.hp.hpl.jena.util.*;

import com.hp.hpl.jena.db.*;

public class Main1  {

    public static final String DB_URL = "jdbc:mysql://localhost/expert";
    public static final String DB_USER = "your user name";
    public static final String DB_PASSWD = "your password";
    public static final String DB = "MySQL";
    public static final String DB_DRIVER = "com.mysql.jdbc.Driver";
 
  public static void main (String args[]) {
 
    try {
        Class.forName("com.mysql.jdbc.Driver");
    } catch (ClassNotFoundException e) {
        e.printStackTrace();
    }
  
    String filePath = "file:///C:/Jena/Tutorial/expert/expert.owl";
    IDBConnection con = ontologyDB.connectDB(DB_URL,DB_USER, DB_PASSWD, DB);
    System.out.println(con);
  
    ontologyDB.createDBModelFromFile(con, "expert", filePath);  
    OntModel model = ontologyDB.getModelFromDB(con, "expert");
    
    SimpleReadOntology(model);
	}
	
  public static void SimpleReadOntology(OntModel model) {
    for (Iterator i = model.listClasses(); i.hasNext();) {
        OntClass c = (OntClass) i.next();
        System.out.println(c.getLocalName());
     	}
	}
}