import java.io.*;
import java.util.*;
import com.hp.hpl.jena.ontology.*;
import com.hp.hpl.jena.rdf.model.ModelMaker;
import com.hp.hpl.jena.util.FileManager;
import com.hp.hpl.jena.util.*;

import com.hp.hpl.jena.db.*;

public class Mainp  {

    public static final String DB_URL = "jdbc:postgresql://db.ils.indiana.edu:5433/dingyingclass?ssh=true";
    public static final String DB_USER = "your username";
    public static final String DB_PASSWD = "your password";
    public static final String DB = "PostgreSQL";
    public static final String DB_DRIVER = "org.postgresql.Driver";
 
  public static void main (String args[]) {
 
    try {
        Class.forName("org.postgresql.Driver");
    } catch (ClassNotFoundException e) {
        System.out.println("could not find the JDBC driver");
    }
  
    String filePath = "file:///C:/Jena/Tutorial/expertp/expert.owl";
    IDBConnection con = ontologyDB.connectDB(DB_URL,DB_USER, DB_PASSWD, DB);
    System.out.println(con);
  
    ontologyDB.createDBModelFromFile(con, "expert", filePath);  
    OntModel model = ontologyDB.getModelFromDB(con, "expert");
    
   for (Iterator i = model.listClasses(); i.hasNext();) {
        	OntClass c = (OntClass) i.next();
        	System.out.println(c.getLocalName());
     	}
	}
}